
# Fedora pkg-review: http://bugzilla.redhat.com/466764

Name: lensfun
Version: 0.2.4
Summary: A library to rectify the defects introduced by your photographic equipment
Release: 1%{?dist} 
License: LGPLv3
Group: System Environment/Libraries
URL: http://lensfun.berlios.de/
Source0: http://download.berlios.de/lensfun/lensfun-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen
BuildRequires: glib2-devel
BuildRequires: libpng-devel
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: zlib-devel

%description
%{summary}.

%package devel
Summary: Development tools for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
%{summary}.


%prep
%setup -q 


%build
# We can't use macro configure
./configure \
  --cflags="${CFLAGS:-%optflags}" \
  --cxxflags="${CXXFLAGS:-%optflags}" \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir}/lensfun \
  --libdir=%{_libdir} \
  --includedir=%{_includedir} \
  --libexecdir=%{_libexecdir} \
  --target=..generic

# set GCC.LDFLAGS to avoid stripping and useless -debuginfo
make AUTODEP=0 %{?_smp_mflags} lensfun manual \
  V=1 \
  GCC.LDFLAGS.release=""


%install
rm -rf %{buildroot}
make AUTODEP=0 INSTALL_PREFIX=%{buildroot} install


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}/
%{_docdir}/%{name}-%{version}/README
%{_docdir}/%{name}-%{version}/*.txt
%{_datadir}/lensfun/
%{_libdir}/liblensfun.so.0*

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/manual/
%{_includedir}/lensfun.h
%{_libdir}/liblensfun.so
%{_libdir}/pkgconfig/lensfun.pc


%changelog
* Sun Oct 18 2009 Rex Dieter <rdieter@fedoraproject.orG> 0.2.4-1
- lensfun-0.2.4 (#529506)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-3
- rebuild for pkgconfig deps

* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-2
- -devel: Requires: pkgconfig

* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- lensfun-0.2.3
- fix SOURCE Url
- configure --target=..generic

* Mon Oct 13 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-3
- BR: doxygen

* Mon Oct 13 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-2
- fix subpkg deps

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.2b-1
- adapt for fedora

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.2.2b-1mdv2009.0
+ Revision: 228769
- Added missing buildrequires
- import lensfun
